Subject: bug#43475: feature/native-comp; add a site-lisp path to comp-eln-load-path

From: Andrea Corallo <[email-masked]>
Date: Fri, 18 Sep 2020 19:09:03 +0000

Hi Tom,

thanks for raising this.

Tom Gillespie <[email-masked]> writes:

> Hi Andrea,
>     Sorry for the delay getting this submitted. Here is a summary of the
> discussion about how to handle the site-lisp equivalent for eln files. Best!
> Tom
>
> Use case. We need a default convention for where eln files compile from
> files in /usr/share/emacs/site-lisp can be installed by a package manager.
> For the record, https://github.com/gentoo/gentoo/pull/16962 was the start
> of these discussions and the following devel thread is also relevant
> https://lists.gnu.org/archive/html/emacs-devel/2020-08/msg01036.html.
>
> My suggestion to use /usr/share was incorrect as Ulrich points out since
> /usr/share should never contain arch specific files. Thus, ${libdir}
> is the right base.
>
> Suggestions from the previous discussion are /usr/lib{,64}/emacs/site-eln and
> /usr/lib{,64}/emacs/site-lisp/eln.
>
> If we want to mirror the way native-lisp is used for the system files
> then ${libdir}/emacs/site-lisp and ${libdir}/emacs/site-lisp/native-lisp
> are two other options.

I think ${libdir}/emacs/site-lisp/native-lisp would be probably more
future proof but I've no strong preference.

Ulrich what would be your suggestion for this?

Thanks

  Andrea